Skip to content

Create Purchase Orders
deprecated

Request

Deprecated. This endpoint is deprecated and will not be maintained going forward. If you currently rely on this endpoint and this is a blocker, please reach out to us.

Create or update purchase orders corresponding to one RfQ. Typically, you first get the purchase orders into your ERP, perform some transformations, and send the updated purchase orders to Luminovo.

Security
BearerAuth
Path
rfq_idstring, (uuid)required

The ID of the RfQ

Query
sourcing_scenario_idstring, (uuid)

The sourcing scenario for which we want to create a purchase order.

Defaults to the sourcing scenario that has been paid for by the customer. If no sourcing scenario has been paid for, this parameter is required.

Bodyapplication/jsonrequired
purchase_orderobject(PendingPurchaseOrder)required
POST
/purchase-orders/{rfq_id}
curl -i -X POST \
  'https://api.luminovo.com/purchase-orders/{rfq_id}?sourcing_scenario_id=497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "purchase_order": {
      "sender_id": "3194e023-c19f-4a42-9172-9e18d68e3a3a",
      "approved_at": "string",
      "billing_address": "string",
      "recipient": {
        "type": "Supplier",
        "supplier_and_stock_location_id": "ec9f3fcb-3c67-47a6-bb08-68cc40146520",
        "supplier_contact": {
          "id": "1adf4f5f-ec6d-4b80-9da4-9f0d4f876913",
          "first_name": "Max",
          "last_name": "Mustermann",
          "email": "max.mustermann@musterfirma.de",
          "user_language": "en",
          "is_main_contact": true,
          "is_public": true,
          "supplier_and_stock_location": "0f9b6e20-0f5c-4dd4-9ebf-f14cbece3f71",
          "position": "Key Account Manager"
        }
      },
      "purchase_order_number": "string",
      "line_items": [
        {
          "availability": {
            "type": "Stock"
          },
          "expected_unit_price": {
            "amount": "string",
            "currency": "EUR"
          },
          "packaging": "AmmoPack",
          "offer_created_at": "string",
          "offer_number": "string",
          "quantity": {
            "unit": "Kg",
            "quantity": 0
          },
          "received_at": "string",
          "solution_config_id": "36aeee3a-ae2b-4028-9899-6388b53ef0be",
          "supplier_part_number": "string",
          "total_price": {
            "amount": "string",
            "currency": "EUR"
          },
          "linked_part": {
            "type": "OffTheShelf",
            "part": "3eb14bf9-bc2d-4985-bd86-7f0ba7a9fc6f"
          },
          "ipns": [
            "string"
          ]
        }
      ],
      "expected_delivery_at": "string",
      "notes": "string",
      "shipping_address": "string",
      "shipping_costs": {
        "amount": "string",
        "currency": "EUR"
      },
      "supplier_purchase_order_number": "string",
      "dispatch_method": {
        "type": "None"
      }
    }
  }'

Responses

Success response